import Sort from "@/components/filter-sort-games";
import { InfiniteScrollGames } from "@/components/infinity-scroll";
import ScrollToTop from "@/components/scroll-to-top";

// renders a list of games infinitely
export default async function GamesPage() {
    return (
        <>
            <main className="relative lg:gap-10 xl:grid xl:grid-cols-[1fr_240px]">
                <div className="grid">
                    <InfiniteScrollGames />
                </div>
                <div className="hidden xl:block flex-col md:flex">
                    <Sort />
                </div>
            </main>
            <div className="fixed top-6 left-1/2 -ml-7">
                <ScrollToTop />
            </div>
        </>
    )
}